Mono.Data.Sqlite 4.0.0.0 System.Data.Common.DbCommand System.ICloneable System.ComponentModel.Designer("SQLite.Designer.SqliteCommandDesigner, SQLite.Designer, Version=1.0.36.0, Culture=neutral, PublicKeyToken=db937bc2d44ff139") System.ComponentModel.ToolboxItem(true) SQLite implementation of DbCommand. To be added.
- Constructor
  4.0.0.0
  Default constructor
  To be added.
  Constructs a new SqliteCommand
- Constructor
  4.0.0.0
  The connection to associate with the command
  Initializes the command and associates it with the specified connection.
  To be added.
- Constructor
  4.0.0.0
  The SQL command text
  Initializes the command with the given command text
  To be added.
- Constructor
  4.0.0.0
  The SQL command text
  The connection to associate with the command
  Initializes the command with the given SQL command text and attach the command to the specified connection.
  To be added.
- Constructor
  4.0.0.0
  The SQL command text
  The connection to associate with the command
  The transaction the command should be associated with
  Initializes a command with the given SQL, connection and transaction
  To be added.
- Method
  4.0.0.0
  System.Void Not implemented To be added.
- Method
  4.0.0.0
  System.Object Clones a command, including all its parameters A new SqliteCommand with the same commandtext, connection and parameters To be added.
- Property
  4.0.0.0
  System.ComponentModel.DefaultValue("")
  System.ComponentModel.Editor("Microsoft.VSDesigner.Data.SQL.Design.SqlCommandTextEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All)
  System.String The SQL command text associated with the command To be added. To be added.
- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(30)
  System.Int32 The amount of time to wait for the connection to become available before erroring out To be added. To be added.
- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(Mono.Cecil.CustomAttributeArgument)
  System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All)
  System.Data.CommandType The type of the command. SQLite only supports CommandType.Text To be added. To be added.
- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(null)
  System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DbConnectionEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  Mono.Data.Sqlite.SqliteConnection The connection associated with this command To be added. To be added.
- Method
  4.0.0.0
  System.Data.Common.DbParameter Forwards to the local CreateParameter() function To be added.
- Method
  4.0.0.0
  Mono.Data.Sqlite.SqliteParameter Create a new parameter To be added.
- Property
  4.0.0.0
  System.Data.Common.DbConnection Forwards to the local Connection property To be added. To be added.
- Property
  4.0.0.0
  System.Data.Common.DbParameterCollection Forwards to the local Parameters property To be added. To be added.
- Property
  4.0.0.0
  System.Data.Common.DbTransaction Forwards to the local Transaction property To be added. To be added.
- Property
  4.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DefaultValue(true)
  System.ComponentModel.DesignOnly(true)
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Boolean Determines if the command is visible at design time. Defaults to True. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` Whether or not the class is being explicitly or implicitly disposed Disposes of the command and clears all member variables To be added.
- Method
  4.0.0.0
  System.Data.Common.DbDataReader `` The behavior the data reader should adopt Creates a new SqliteDataReader to execute/iterate the array of SQLite prepared statements Returns a SqliteDataReader object To be added.
- Method
  4.0.0.0
  System.Int32 Execute the command and return the number of rows inserted/updated affected by it. To be added.
- Method
  4.0.0.0
  Mono.Data.Sqlite.SqliteDataReader Overrides the default behavior of DbDataReader to return a specialized SqliteDataReader class A SqliteDataReader To be added.
- Method
  4.0.0.0
  Mono.Data.Sqlite.SqliteDataReader `` The flags to be associated with the reader Overrides the default behavior to return a SqliteDataReader specialization class A SqliteDataReader To be added.
- Method
  4.0.0.0
  System.Object Execute the command and return the first column of the first row of the resultset (if present), or null if no resultset was returned. The first column of the first row of the first resultset from the query To be added.
- Property
  4.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
  Mono.Data.Sqlite.SqliteParameterCollection Returns the SqliteParameterCollection for the given command To be added. To be added.
- Method
  4.0.0.0
  System.Void Does nothing. Commands are prepared as they are executed the first time, and kept in prepared state afterwards. To be added.
- Property
  4.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  Mono.Data.Sqlite.SqliteTransaction The transaction associated with this command. SQLite only supports one transaction per connection, so this property forwards to the command's underlying connection. To be added. To be added.
- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(Mono.Cecil.CustomAttributeArgument)
  System.Data.UpdateRowSource Sets the method the SqliteCommandBuilder uses to determine how to update inserted or updated rows in a DataTable. To be added. To be added.